import csv
from sage.plot.colors import rainbow

R = PolynomialRing(QQ, 'x,y');

AmoebaBoundaryInputFile=csv.reader(open("/home/timo/Projekte/Singular/Resultants/boundaryoutputfile.txt"), delimiter=';')
AmoebaBoundaryList = []
for entry in AmoebaBoundaryInputFile:
    f = R(entry[0])
    AmoebaBoundaryList.append(f)

amoebaboundaryplot = plot([])

for entry in AmoebaBoundaryList:
    amoebaboundaryplot = amoebaboundaryplot + implicit_plot(entry, (0, 2), (0, 2), scale='loglog' plot_points=1200, color='red')

plot(amoebaboundaryplot, aspect_ratio=1)
amoebaboundaryplot.save("./AmoebaBoundaryPlot.png")

